[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: compiling qt3/kde3 programs



On Wed, Mar 12, 2003 at 09:00:09PM +0100, Guido Amoruso wrote:

This would prolly have been better on the debian-kde list, but...

> I installed kde3.1 on Debian some days ago and since then I have
> troubles compiling any qt3/kde program, even if I have [possibly] all
> the needed devel packages insalled: when I try to "configure" a tarball
> I get errors saying that the qt3 libs and headers are not found. I'm
> using official kde3/qt3 packages from unstable and gcc3.2 (but also
> tryed linking gcc/g++ to gcc2.95/g++2.95 with no better results):
> 
> libqt3-headers		3.1.1-5
> libqt3-mt-dev		3.1.1-5
> libqt3-plugins-headers	3.1.1-5 
> libqt3c102-mt		3.1.1-5
> qt3-dev-tools		3.1.1-5

If the applications are trying to use deprecated headers, (which
apparently many are to keep qt2 and win32 compatible) try installing
libqt3-compat-headers...

Otherwise, have a look at the configure script and see exactly what
test it's running... You can make configure put it's test outputs
and whatnot into files instead of /dev/null, and then you can
try it yourself and see why it doesn't find the qt3 headers.

(I don't know anything about qt3 specifically, I just remember the
flamewar on -devel about the qt3 packaging. :-)

-- 
-----------------------------------------------------------
Paul "TBBle" Hampson, MCSE
6th year CompSci/Asian Studies student, ANU
The Boss, Bubblesworth Pty Ltd (ABN: 51 095 284 361)
Paul.Hampson@Anu.edu.au

Of course Pacman didn't influence us as kids. If it did,
we'd be running around in darkened rooms, popping pills and
listening to repetitive music.
 -- Kristian Wilson, Nintendo, Inc, 1989

This email is licensed to the recipient for non-commercial
use, duplication and distribution.
-----------------------------------------------------------

Attachment: pgpuEhdcG8hKG.pgp
Description: PGP signature


Reply to: